[ruby-cvs:62928] nobu:r55764 (trunk): ruby.h: use __extension__

nobu at ruby-lang.org nobu at ruby-lang.org
Thu Jul 28 15:05:14 JST 2016


nobu	2016-07-28 15:05:14 +0900 (Thu, 28 Jul 2016)

  New Revision: 55764

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=55764

  Log:
    ruby.h: use __extension__
    
    * include/ruby/ruby.h (ruby_fl_type): use __extension__ to get rid
      of pedantic warning against RUBY_FL_USER19.
      https://github.com/skylightio/skylight-ruby/issues/64
    * include/ruby/ruby.h (rb_mul_size_overflow): ditto for use of
      int128.

  Modified files:
    trunk/ChangeLog
    trunk/include/ruby/ruby.h


More information about the ruby-cvs mailing list